Package: org.codehaus.groovy.transform.stc

## [Java] Class ExtensionMethodNode

- org.codehaus.groovy.transform.stc.ExtensionMethodNode

- Represents method nodes which are used by the static type checker to virtually add methods coming from DGM-like methods.

  Authors:
    Cedric Champeau

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MethodNode` | `SCRIPT_BODY_METHOD_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtensionMethodNode (MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code, boolean isStaticExtension)`
    `ExtensionMethodNode (MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MethodNode` | `getExtensionMethodNode()`
    `` | `boolean` | `isStaticExtension()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class MethodNode`

    `getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getText, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isDynamicReturnType, isFinal, isPrivate, isProtected, isPublic, isScriptBody, isStatic, isStaticConstructor, isSyntheticPublic, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setIsScriptBody, setModifiers, setParameters, setReturnType, setSyntheticPublic, setVariableScope, toString`

    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code, boolean isStaticExtension)

    - #### public ExtensionMethodNode(MethodNode extensionMethodNode, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)

  - ### Method Detail

    - #### public MethodNode getExtensionMethodNode()

    - #### public boolean isStaticExtension()